%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-system-log
Version:	3.9.90
Release:	%mkrel 6
Summary:	GNOME System log utility
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://www.gnome.org
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1: org.gnome.logview.policy  
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.11
Conflicts:	gnome-utils < 1:3.3.1

%description
Gnome System log utility.

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath \
	--disable-schemas-compile
%make

%install
%makeinstall_std

#handle docs with files section
#rm -rf %{buildroot}%{_defaultdocdir}

mkdir -p %{buildroot}%{_libexecdir}
mv %{buildroot}%{_bindir}/%{name} %{buildroot}%{_libexecdir}
cat >%{buildroot}%{_bindir}/%{name} <<EOF
#!/bin/sh
exec /usr/bin/pkexec /usr/libexec/%{name} \$*
EOF
chmod a+x %{buildroot}%{_bindir}/%{name}
%__install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/polkit-1/actions/org.gnome.logview.policy


%find_lang %{name} --with-help

%files -f %{name}.lang
%doc NEWS
%{_bindir}/%{name}
%{_libexecdir}/%{name}
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/GConf/gsettings/logview.convert
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-log.gschema.xml
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*
%{_datadir}/icons/*/*/apps/logview.png


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 3.9.90-6.mga6
+ Revision: 936562
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.9.90-5.mga5
+ Revision: 750497
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.9.90-4.mga5
+ Revision: 679774
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 3.9.90-3.mga4
+ Revision: 541002
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 colin <colin> 3.9.90-2.mga4
+ Revision: 494824
- Switch to policykit for gaining privileges

* Tue Aug 20 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468414
- bump req

  + ovitters <ovitters>
    - new version 3.9.90

* Fri Jul 26 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 458368
- new version 3.9.3

* Fri May 24 2013 dams <dams> 3.8.1-1.mga4
+ Revision: 426412
- new version 3.8.1

* Sat Jan 12 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 352212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.1-1.mga3
+ Revision: 317417
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297134
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295687
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288088
- new version 3.5.91

* Wed Aug 29 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 285532
- update file list

  + ovitters <ovitters>
    - new version 3.5.90

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271605
- update file list
- new version 3.5.4

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231081
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226669
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225456
- update file list
- new version 3.3.92

* Sat Oct 29 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 159577
- imported package gnome-system-log

